'The program starts with SPIRITS.BAS ,but you should change the
'"maxstars=30" line in STAGE.BAS in order to slow down the program if you
'run it on faster computers.  It was made on a 486SX/33 so it will be too
'fast on most other computers. 

CLS : SCREEN 9: WIDTH 80, 25: CLS
TIME$ = "00:00:04"
G = 1
TITLE:
CHO$ = INKEY$
R = INT(63 * RND) + 1
PALETTE 15, R
IF TIME$ < "00:00:03" THEN 10
TIME$ = "00:00:00"
G = G + 8
IF G > 63 THEN G = 1
PALETTE 4, G
10 COLOR 15, 0
LOCATE 6, 28: PRINT "XXXXX XXXXX  XXX  XXXXX"
LOCATE 7, 28: PRINT "X       X   X   X X   X"
LOCATE 8, 28: PRINT "XXXXX   X   XXXXX XXXXX"
LOCATE 9, 28: PRINT "    X   X   X   X X  X"
LOCATE 10, 28: PRINT "XXXXX   X   X   X X   X"
LOCATE 13, 20: PRINT "XXXXX XXXXX XXXXX XXXXX XXXXX XXXXX XXXXX"
LOCATE 14, 20: PRINT "X     X   X   X   X   X   X     X   X"
LOCATE 15, 20: PRINT "XXXXX XXXXX   X   XXXXX   X     X   XXXXX"
LOCATE 16, 20: PRINT "    X X       X   X  X    X     X       X"
LOCATE 17, 20: PRINT "XXXXX X     XXXXX X   X XXXXX   X   XXXXX"


IF CHO$ = " " OR CHO$ = CHR$(13) THEN RUN "SHIPS.BAS"
  COLOR 4, 0
  A$ = "*    *    *    *    *    *    *    *    *    *    *    *    *    *    *    *    *    "
  WHILE INKEY$ <> "": WEND 'Clear keyboard buffer

      FOR A = 1 TO 5
      LOCATE 1, 1                             'print horizontal sparkles
      PRINT MID$(A$, A, 80);
      LOCATE 22, 1
      PRINT MID$(A$, 6 - A, 80);
      FOR B = 2 TO 21                         'Print Vertical sparkles
        C = (A + B) MOD 5
        IF C = 1 THEN
          LOCATE B, 80
          PRINT "*";
          LOCATE 23 - B, 1
          PRINT "*";
        ELSE
          LOCATE B, 80
          PRINT " ";
          LOCATE 23 - B, 1
          PRINT " ";
        END IF
      NEXT B
    NEXT A
GOTO TITLE

